Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Public Attributes
Argus::UUID Struct Reference

A universally unique identifier. More...

`#include <UUID.h>`

Inheritance diagram for Argus::UUID:

List of all members.

## Public Member Functions
bool | operator== (const UUID &r) const
bool | operator< (const UUID &r) const

## Public Attributes
uint32_t | time_low
uint16_t | time_mid
uint16_t | time_hi_and_version
uint16_t | clock_seq
uint8_t | node [6]

## Detailed Description

A universally unique identifier.

Definition at line 50 of file UUID.h.

## Member Function Documentation

bool Argus::UUID::operator< | ( | const UUID & | r | ) | const
| inline

Definition at line 63 of file UUID.h.

bool Argus::UUID::operator== | ( | const UUID & | r | ) | const
| inline

Definition at line 58 of file UUID.h.

## Member Data Documentation

uint16_t Argus::UUID::clock_seq

Definition at line 55 of file UUID.h.

uint8_t Argus::UUID::node[6]

Definition at line 56 of file UUID.h.

uint16_t Argus::UUID::time_hi_and_version

Definition at line 54 of file UUID.h.

uint32_t Argus::UUID::time_low

Definition at line 52 of file UUID.h.

uint16_t Argus::UUID::time_mid

Definition at line 53 of file UUID.h.

The documentation for this struct was generated from the following file:

- include/Argus/UUID.h